Bug 1522918 (CVE-2017-3144) - CVE-2017-3144 dhcp: omapi code doesn't free socket descriptors when empty message is received allowing denial-of-service
Summary: CVE-2017-3144 dhcp: omapi code doesn't free socket descriptors when empty mes...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3144
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1519363 1523475 1523547
Blocks: 1522919
TreeView+ depends on / blocked
 
Reported: 2017-12-06 17:52 UTC by Adam Mariš
Modified: 2019-09-29 14:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the DHCP daemon did not properly clean up closed OMAPI connections in certain cases. A remote attacker able to connect to the OMAPI port could use this flaw to exhaust file descriptors in the DHCP daemon, leading to a denial of service in the OMAPI functionality.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:32:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0158 normal SHIPPED_LIVE Moderate: dhcp security update 2018-01-25 16:19:54 UTC

Description Adam Mariš 2017-12-06 17:52:56 UTC
It was found that omapi code doesn't free socket descriptor if empty message was sent by client, which allows malicious client to use up all available descriptors causing Denial of Service.

Upstream patch:

https://source.isc.org/cgi-bin/gitweb.cgi?p=dhcp.git;a=commit;h=1a6b62fe17a

Comment 5 Dhiru Kholia 2017-12-08 09:42:46 UTC
Created dhcp tracking bugs for this issue:

Affects: fedora-all [bug 1523547]

Comment 7 Dhiru Kholia 2018-01-17 04:57:16 UTC
External References:

https://kb.isc.org/article/AA-01541

Comment 9 errata-xmlrpc 2018-01-25 11:30:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0158 https://access.redhat.com/errata/RHSA-2018:0158


Note You need to log in before you can comment on or make changes to this bug.